﻿.ComboChooser {
    display: grid;
    grid-template-columns: repeat(2,auto);
    align-items: center;
    justify-content: start;
    gap: 5px;
}

.BrandEditor {
    display: grid;
    grid-template-columns: 200px 400px;
    gap: 20px;
    justify-content: start;
}

.PartNumbersGrid {
    grid-column-start: span 2;
    width: 900px;
}

.BrandsGrid {
}

.BaseTypesGrid {
}

.AdminGroups {
    display: grid;
    grid-template-columns: 300px auto auto;
    gap: 5px;
    justify-content: start;
}


.UserListWrapper {
    display: grid;
    grid-template-columns: repeat(7,auto);
    font-size: 0.9em;
}

    .UserListWrapper .item {
        border-bottom: 1px solid #E5E5E5;
    }

    .UserListWrapper .Header {
        font-weight: bold;
        font-size: 1.1em;
        border-bottom: 1px solid #0a0a0a;
    }

.EditUser {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 10px;
    align-items: start;
}


.EditUserinfo.company {
    align-items: center;
    grid-template-columns: repeat(2,auto);
}

.EditUserinfo {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 5px;
}

.Usermessage {
    grid-column-start: span 2;
    color: red;
}

.CustomerListWrapper {
    display: grid;
    grid-template-columns: repeat(5,auto);
    flex-wrap: wrap;
}




.AfterFixedHeaderWrapper.volvo {
    margin-top: 100px;
}

.OuterTopMenuWrapper.volvo {
    padding-top: 10px;
    padding-bottom: 10px;
}


.finishButton {
    display: flex;
    align-items: center;
    gap: 10px;
}

    .finishButton img {
        vertical-align: middle;
    }



.loading {
    pointer-events: all;
    z-index: 99999;
    border: none;
    margin: 0px;
    padding: 0px;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    cursor: wait;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.1);
    /*background-color: #1f283333;*/
}

    .loading img {
        left: 300px;
        position: absolute;
        top: 50%;
        height: 64px;
    }

.volvoRegisterOrderSchememain {
    display: grid;
    /*grid-template-columns: repeat(2,minmax(100px,550px));*/
    grid-template-columns: minmax(100px,600px) minmax(100px,550px);
    row-gap: 20px;
}

.Messages {
    grid-column-start: 2;
    grid-row: 1 / span 4;
    margin-left: 10px;
}

.batteryinfo {
    grid-row-start: 2;
}

.dealerinfo, .batteryinfo, .Messages {
    border: 1px solid #ddd;
    border-radius: 5px 5px 5px 5px;
    padding: 10px;
}

.buttonWrapper {
    padding-top: 10px;
    width: 100%;
    display: flex;
    column-count: 3;
    gap: 5px;
    justify-content: space-between;
    align-items: center;
}
.belowSchema {
    width:100%;
    grid-row-start: 3;
    column-count: 3;
    display: flex;
    flex-direction: column;
    gap:5px;
}

.volvoRegisterOrderScheme {
    display: grid;
    grid-template-columns: repeat(2,auto);
    justify-content: start;
    gap: 5px;
    align-items: center;
    font-size: 14px;
}

.ListOrders {
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(4,20%);
    padding-bottom: 5px;
}
.ExcelExport {
    grid-column-end: 20;
}
.ListOrdersGrid {
    width: 100%;
    grid-column-end: span 2;
}

.BestillingsskjemaDetaljer {
    width: 100%;
}

.detailsinfo {
    grid-column-start: span 2;
}

.volvoRegisterOrderScheme label {
    width: 200px;
}

.volvoRegisterOrderScheme .TextboxWrapper input[type=text]:not(.dxeEditAreaSys), input[type=number]:not(.dxeEditAreaSys) {
    width: 250px;
}

.volvoRegisterOrderScheme .TextboxWrapper input[type=text]:not(.dxeEditAreaSys), input[type=number]:not(.dxeEditAreaSys) {
    padding: 0px;
    line-height: 30px;
    border: 1px solid #ddd;
    padding-left: 10px;
    padding-right: 10px;
    box-sizing: border-box;
}

.InnerMainContentWrapper.volvo .Button {
    background: none;
    border: 0px;
    /*padding: 0.6rem 1.5rem;*/
    padding: 0.6rem;
    font-size: 0.8rem;
    text-align: center;
    box-sizing: border-box;
    text-transform: uppercase;
    border-radius: 0px;
    color: #1C2E34;
    /*   background-color: #8DE5C3;*/
    cursor: pointer;
    font-weight: 500;
    transition: background-color 200ms linear;
    display: inline-block;
    margin-top: 0;
}

    .InnerMainContentWrapper.volvo .Button.Volvo {
        background-color: #1B365D;
        color: #fff;
    }

element.style {
}


.Form .Submit {
    float: left;
    clear: both;
}

input[type=submit].volvo, a.volvo {
    margin-top: 5px !important;
}
